package com.zy.omp.controller.pc;

import com.zy.omp.common.ServerResponse;
import com.zy.omp.pojo.io.pc.DeviceIO;
import com.zy.omp.service.DeviceService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 设备相关
 *
 * @author yang xiao kun
 * create on 2021/1/21
 */
@RestController
@RequestMapping("omp/api/pc/device")
public class PcDeviceController {

    @Resource
    private DeviceService deviceService;

    /**
     * 分页查询设备集合
     */
    @GetMapping("listPage.do")
    public ServerResponse listPage(DeviceIO io) {
        return ServerResponse.createBySuccess(deviceService.listPage(io));
    }

}
