package com.zy.omp.controller.pc;

import com.zy.omp.common.ServerResponse;
import com.zy.omp.pojo.io.pc.MqttLogsIO;
import com.zy.omp.service.MqttLogService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * mqtt收发日志
 *
 * @author yang xiao kun
 * create on 2021/1/21
 */
@RestController
@RequestMapping("omp/api/pc/logs")
public class PcMqttLogController {

    @Resource
    private MqttLogService mqttLogService;

    /**
     * 分页查询日志
     */
    @PostMapping("listPage.do")
    public ServerResponse getListPage(MqttLogsIO io) {
        return ServerResponse.createBySuccess(mqttLogService.getListPage(io));
    }
}
