package com.zy.omp.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 通话记录
 *
 * @author yang xiao kun
 * create on 2021/4/1
 */
@Data
@TableName("call_records")
public class CallRecords {
    @TableId
    private Integer id;

    /**
     * 设备ID
     */
    private String openNum;

    /**
     * 1:播出 2:接听
     */
    private Integer callType;

    /**
     * key1，key1，service
     */
    private String keyNum;

    /**
     * 通话号码
     */
    private String phoneNum;

    /**
     * 通话时长
     */
    private Integer talkTime;

    /**
     * 通话结束时间
     */
    private String endTime;
}
