package com.zy.omp.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 语音播报记录
 */
@Data
@TableName("news")
public class News {
    @TableId
    private Integer id;
    /**
     * 用户ID
     */
    private String userId;

    /**
     * 设备Id
     */
    private String openNum;

    /**
     * 星期几的几点几分播报
     * 星期之间逗号间隔
     * 星期与时间空格间隔 1,2,3,4,5 13:23
     */
    private String newsTime;

    /**
     * 播报类型
     * 1:实时播报，0:固定时间播报
     */
    private Integer newsType;

    /**
     * 服务器下发文字
     */
    private String news;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}