package com.zy.omp.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.omp.pojo.io.CallRecordsIO;
import com.zy.omp.mapper.CallRecordsMapper;
import com.zy.omp.model.CallRecords;
import org.springframework.stereotype.Service;

/**
 * 通话记录 Service
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Service
public class CallRecordsService extends ServiceImpl<CallRecordsMapper, CallRecords> {

    /**
     * 分页查询通话记录
     *
     * @param io 查询参数
     */
    public IPage<CallRecords> getListPage(CallRecordsIO io) {
        Page<CallRecords> page = new Page<>(io.getCurrent(), io.getSize());
        return baseMapper.getListPage(page, io);
    }
}
