package com.zy.omp.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * mqtt消息收发记录
 *
 * @author yang xiao kun
 * create on 2021/4/14
 */
@Data
@TableName("mqtt_log")
public class MqttLog {
    @TableId
    private Integer id;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 类型
     */
    private Integer tag;

    /**
     * 发送内容
     */
    private String content;

    /**
     * 主题
     */
    private String topic;

    /**
     * 指令
     */
    private String instruction;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}
